Perl Programming Documentation
Download Perl
Explore

Manual

- Overview
- Tutorials
- FAQs
- History / Changes
- License

Reference

- Language
- Functions
- Operators
- Special Variables
- Pragmas
- Utilities
- Internals
- Platform Specific

Modules

- A • B • C • D • E
- F • G • H • I • L
- M • N • O • P • S
- T • U • X

Tools

- Preferences

# ExtUtils::Constant::Utils

Perl 5 version 16.0 documentation
Go to top
Show page index • Show recent pages
Recently read

# ExtUtils::Constant::Utils

- NAME
- SYNOPSIS
- DESCRIPTION
- USAGE
- AUTHOR

# NAME

ExtUtils::Constant::Utils - helper functions for ExtUtils::Constant

# SYNOPSIS

        use ExtUtils::Constant::Utils qw (C_stringify);    $C_code = C_stringify $stuff;

# DESCRIPTION

ExtUtils::Constant::Utils packages up utility subroutines used by ExtUtils::Constant, ExtUtils::Constant::Base and derived classes. All its functions are explicitly exportable.

# USAGE

- C_stringify NAME

  A function which returns a 7 bit ASCII correctly \ escaped version of the string passed suitable for C's "" or ''. It will die if passed Unicode characters.

- perl_stringify NAME

  A function which returns a 7 bit ASCII correctly \ escaped version of the string passed suitable for a perl "" string.

# AUTHOR

Nicholas Clark <nick@ccl4.org> based on the code in `h2xs` by Larry Wall and others

Page index

- NAME
- SYNOPSIS
- DESCRIPTION
- USAGE
- AUTHOR